##
##  yml.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2023 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         yml
Summary:      Alternative XML Syntax
URL:          http://fdik.org/yml/
Vendor:       Volker Birk
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        XML
License:      GPL
Version:      2.7.6
Release:      20230826

#   list of sources
Source0:      https://gitea.pep.foundation/fdik/yml2/archive/v%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101, python, python-xml

%description
    Any time a formal language is created for computing, a compromise
    has to be found: whether the language is perfect for the computer
    but terrible for the human or vice versa. XML is very good for the
    computer only. An Y language specified in YML allows one to specifiy
    the same information as in XML, but in a more human-friendly syntax.

%track
    prog yml = {
        version   = %{version}
        url       = http://fdik.org/yml/
        regex     = YML\s+(\d+\.\d+\.\d+)
    }

%prep
    %setup -q -n yml2

%build

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/yml \
        $RPM_BUILD_ROOT%{l_prefix}/lib/yml
    for prog in yml2c yml2proc; do
        ( echo "#!/bin/sh"
          echo "PYTHONPATH=\"%{l_prefix}/lib/yml:%{l_prefix}/lib/python:%{l_prefix}/lib/python/site-packages\""
          echo "export PYTHONPATH"
          echo "exec %{l_prefix}/bin/python %{l_prefix}/libexec/yml/$prog \${1+\"\$@\"}"
        ) >$prog.sh
        %{l_shtool} install -c -m 755 \
            $prog.sh $RPM_BUILD_ROOT%{l_prefix}/bin/$prog
    done
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        yml2c yml2proc $RPM_BUILD_ROOT%{l_prefix}/libexec/yml/
    %{l_shtool} install -c -m 644 \
        *.py *.yhtml2 $RPM_BUILD_ROOT%{l_prefix}/lib/yml/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

